com.amazonaws.services.elastictranscoder.model

## Class TimeSpan

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.TimeSpan

All Implemented Interfaces:
  Serializable, Cloneable

    public class TimeSpan
    extends Object
    implements Serializable, Cloneable

Settings that determine when a clip begins and how long it lasts.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TimeSpan()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TimeSpan` `clone()`
`boolean` `equals(Object obj)`
`String` `getDuration()` The duration of the clip.
`String` `getStartTime()` The place in the input file where you want a clip to start.
`int` `hashCode()`
`void` `setDuration(String duration)` The duration of the clip.
`void` `setStartTime(String startTime)` The place in the input file where you want a clip to start.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TimeSpan` `withDuration(String duration)` The duration of the clip.
`TimeSpan` `withStartTime(String startTime)` The place in the input file where you want a clip to start.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimeSpan

    public TimeSpan()

### Method Detail

#### setStartTime

    public void setStartTime(String startTime)

The place in the input file where you want a clip to start. The format can be either HH:mm:ss.SSS (maximum value: 23:59:59.999; SSS is thousandths of a second) or sssss.SSS (maximum value: 86399.999). If you don't specify a value, Elastic Transcoder starts at the beginning of the input file.

Parameters:
  `startTime` - The place in the input file where you want a clip to start. The format can be either HH:mm:ss.SSS (maximum value: 23:59:59.999; SSS is thousandths of a second) or sssss.SSS (maximum value: 86399.999). If you don't specify a value, Elastic Transcoder starts at the beginning of the input file.

#### getStartTime

    public String getStartTime()

The place in the input file where you want a clip to start. The format can be either HH:mm:ss.SSS (maximum value: 23:59:59.999; SSS is thousandths of a second) or sssss.SSS (maximum value: 86399.999). If you don't specify a value, Elastic Transcoder starts at the beginning of the input file.

Returns:
  The place in the input file where you want a clip to start. The format can be either HH:mm:ss.SSS (maximum value: 23:59:59.999; SSS is thousandths of a second) or sssss.SSS (maximum value: 86399.999). If you don't specify a value, Elastic Transcoder starts at the beginning of the input file.

#### withStartTime

    public TimeSpan withStartTime(String startTime)

The place in the input file where you want a clip to start. The format can be either HH:mm:ss.SSS (maximum value: 23:59:59.999; SSS is thousandths of a second) or sssss.SSS (maximum value: 86399.999). If you don't specify a value, Elastic Transcoder starts at the beginning of the input file.

Parameters:
  `startTime` - The place in the input file where you want a clip to start. The format can be either HH:mm:ss.SSS (maximum value: 23:59:59.999; SSS is thousandths of a second) or sssss.SSS (maximum value: 86399.999). If you don't specify a value, Elastic Transcoder starts at the beginning of the input file.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDuration

    public void setDuration(String duration)

The duration of the clip. The format can be either HH:mm:ss.SSS (maximum value: 23:59:59.999; SSS is thousandths of a second) or sssss.SSS (maximum value: 86399.999). If you don't specify a value, Elastic Transcoder creates an output file from StartTime to the end of the file.

If you specify a value longer than the duration of the input file, Elastic Transcoder transcodes the file and returns a warning message.

Parameters:
  `duration` - The duration of the clip. The format can be either HH:mm:ss.SSS (maximum value: 23:59:59.999; SSS is thousandths of a second) or sssss.SSS (maximum value: 86399.999). If you don't specify a value, Elastic Transcoder creates an output file from StartTime to the end of the file.

  If you specify a value longer than the duration of the input file, Elastic Transcoder transcodes the file and returns a warning message.

#### getDuration

    public String getDuration()

The duration of the clip. The format can be either HH:mm:ss.SSS (maximum value: 23:59:59.999; SSS is thousandths of a second) or sssss.SSS (maximum value: 86399.999). If you don't specify a value, Elastic Transcoder creates an output file from StartTime to the end of the file.

If you specify a value longer than the duration of the input file, Elastic Transcoder transcodes the file and returns a warning message.

Returns:
  The duration of the clip. The format can be either HH:mm:ss.SSS (maximum value: 23:59:59.999; SSS is thousandths of a second) or sssss.SSS (maximum value: 86399.999). If you don't specify a value, Elastic Transcoder creates an output file from StartTime to the end of the file.

  If you specify a value longer than the duration of the input file, Elastic Transcoder transcodes the file and returns a warning message.

#### withDuration

    public TimeSpan withDuration(String duration)

The duration of the clip. The format can be either HH:mm:ss.SSS (maximum value: 23:59:59.999; SSS is thousandths of a second) or sssss.SSS (maximum value: 86399.999). If you don't specify a value, Elastic Transcoder creates an output file from StartTime to the end of the file.

If you specify a value longer than the duration of the input file, Elastic Transcoder transcodes the file and returns a warning message.

Parameters:
  `duration` - The duration of the clip. The format can be either HH:mm:ss.SSS (maximum value: 23:59:59.999; SSS is thousandths of a second) or sssss.SSS (maximum value: 86399.999). If you don't specify a value, Elastic Transcoder creates an output file from StartTime to the end of the file.

  If you specify a value longer than the duration of the input file, Elastic Transcoder transcodes the file and returns a warning message.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TimeSpan clone()

Overrides:
  `clone` in class `Object`